Ulsav Docs

Activity

GET
/api/v1/organizations/{organization_id}/activity

Path Parameters

organization_id*string

Query Parameters

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/activity'
Example Response
{  "$schema": "https://example.com/schemas/PageEntryView.json",  "data": [    {      "action": "string",      "actor": {        "accountId": "string",        "apiKeyId": "string",        "name": "string",        "type": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "id": "string",      "metadata": null,      "targets": [        {          "id": "string",          "type": "string"        }      ]    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
GET
/api/v1/organizations/{organization_id}/orders/{order_id}/activity

Path Parameters

organization_id*string
order_id*string

Query Parameters

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/orders/string/activity'
Example Response
{  "$schema": "https://example.com/schemas/PageEntryView.json",  "data": [    {      "action": "string",      "actor": {        "accountId": "string",        "apiKeyId": "string",        "name": "string",        "type": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "id": "string",      "metadata": null,      "targets": [        {          "id": "string",          "type": "string"        }      ]    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
GET
/api/v1/organizations/{organization_id}/registrations/{registration_id}/activity

Path Parameters

organization_id*string
registration_id*string

Query Parameters

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/registrations/string/activity'
Example Response
{  "$schema": "https://example.com/schemas/PageEntryView.json",  "data": [    {      "action": "string",      "actor": {        "accountId": "string",        "apiKeyId": "string",        "name": "string",        "type": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "id": "string",      "metadata": null,      "targets": [        {          "id": "string",          "type": "string"        }      ]    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}